<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Combat_Docu: Class Members - Properties</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Combat_Docu
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li class="current"><a href="functions_prop.html"><span>Properties</span></a></li>
      <li><a href="functions_evnt.html"><span>Events</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>Attack
: <a class="el" href="class_character.html#a4d036d30db358d377be8a5799231f39f">Character</a>
</li>
<li>CurrentVal
: <a class="el" href="classstat.html#a5b0a0b1995c8211f0f9c145a736aa4c7">stat</a>
</li>
<li>InMeleeRange
: <a class="el" href="class_enemy.html#a01150b6bff8b984fe01606c0d9a3faa9">Enemy</a>
</li>
<li>Instance
: <a class="el" href="class_player.html#aff08b341c76fb1c361d87556dc552975">Player</a>
</li>
<li>InThrowRange
: <a class="el" href="class_enemy.html#a385315a59c9ebd2501e3fa957d9223e2">Enemy</a>
</li>
<li>IsDead
: <a class="el" href="class_character.html#a5b3fd8f625e060df3d051cdefcbb9975">Character</a>
, <a class="el" href="class_enemy.html#a756e20b818dab19026267dc3f7fc8843">Enemy</a>
, <a class="el" href="class_player.html#aca51d3ce8d9afaaa84547b0e525e0833">Player</a>
</li>
<li>Jump
: <a class="el" href="class_player.html#aa1078ed6e301210fd0710a11a883bdf6">Player</a>
</li>
<li>MaxVal
: <a class="el" href="classstat.html#a817dec51b7849a514f7006f631f778be">stat</a>
</li>
<li>MaxValue
: <a class="el" href="classhealthbar.html#a9a4044abb72ca4ccf65c60cb483b4238">healthbar</a>
</li>
<li>MyAnimator
: <a class="el" href="class_character.html#ab651b2b59bd92b2d712bb1be6e469bef">Character</a>
</li>
<li>MyRigidbody
: <a class="el" href="class_player.html#a79db26bf9cfba48f951f792e4c1f790e">Player</a>
</li>
<li>OnGround
: <a class="el" href="class_player.html#ab71088ea752841900fc338de677b7fe5">Player</a>
</li>
<li>SwordCollider
: <a class="el" href="class_character.html#abb6f1fa08feffd02a5fc7b688d32e402">Character</a>
</li>
<li>TakingDamage
: <a class="el" href="class_character.html#a886fd818fe5b4d360f4485a4681e509e">Character</a>
</li>
<li>Target
: <a class="el" href="class_enemy.html#aaeaa116c64ee8c537dbc79a0f3b9d516">Enemy</a>
</li>
<li>Value
: <a class="el" href="classhealthbar.html#a680c676faf45a85a8776c6d2b71b5254">healthbar</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
